GHSA-4qgj-9mvg-3929

Suggest an improvement
Source
https://github.com/advisories/GHSA-4qgj-9mvg-3929
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/05/GHSA-4qgj-9mvg-3929/GHSA-4qgj-9mvg-3929.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-4qgj-9mvg-3929
Aliases
  • CVE-2015-5209
Published
2022-05-14T03:15:08Z
Modified
2024-02-18T05:31:29.501743Z
Severity
  • 7.5 (High) CVSS_V3 - CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N CVSS Calculator
Summary
Special top object can be used to access Struts' internals
Details

ValueStack defines special top object which represents root of execution context. It can be used to manipulate Struts' internals or can be used to affect container's settings. Applying better regex which includes pattern to exclude request parameters trying to use top object. This issue was patched in Struts 2.3.24.1.

References

Affected packages

Maven / org.apache.struts:struts2-core

Package

Name
org.apache.struts:struts2-core
View open source insights on deps.dev
Purl
pkg:maven/org.apache.struts/struts2-core

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.3.24.1

Affected versions

2.*

2.0.5
2.0.6
2.0.8
2.0.9
2.0.11
2.0.11.1
2.0.11.2
2.0.12
2.0.14
2.1.2
2.1.6
2.1.8
2.1.8.1
2.2.1
2.2.1.1
2.2.3
2.2.3.1
2.3.1
2.3.1.1
2.3.1.2
2.3.3
2.3.4
2.3.4.1
2.3.7
2.3.8
2.3.12
2.3.14
2.3.14.1
2.3.14.2
2.3.14.3
2.3.15
2.3.15.1
2.3.15.2
2.3.15.3
2.3.16
2.3.16.1
2.3.16.2
2.3.16.3
2.3.20
2.3.20.1
2.3.20.3
2.3.24